> This page is for version v2 API (default).
> For other versions, use one of these documentation indexes:
> - v2 API (default): https://docs.cohere.com/v2/llms.txt
> - v1 API: https://docs.cohere.com/v1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cohere.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cohere.com/_mcp/server.

# Installation

The Cohere Platform CLI Tool is an alternative to our web interface, which allows you to login to your Cohere account, manage API Keys, and run finetunes.

This CLI tool is POSIX compliant (you can expect arguments and flags to work the same as they do with other popular CLI tools). Don't forget to use `co --help` or `co [COMMAND] --help` if you don't want to check back to this page!

# Download the Package for your OS

Use the following curl command to download the correct package, or use a download link below to get a tar.

```
curl --proto '=https' --tlsv1.2 -sSf https://raw.githubusercontent.com/cohere-ai/co/main/install.sh | sh
```

<table>
  \n     

  <th>Platform</th>

  \n     

  <th>Package</th>

  \n     

  <tr>\n       <td>MacOS (x86)</td>\n       <td>\n         [\n co\_macos\_x86\_64.tar.gz\n](https://github.com/cohere-ai/co/releases/latest/download/co_macos_x86_64.tar.gz)\n       </td>\n     </tr>

  \n   

  <tr>\n       <td>MacOS (arm64)</td>\n       <td>\n         [\n co\_macos\_arm64.tar.gz\n](https://github.com/cohere-ai/co/releases/download/v0.21.1/co_macos_arm64.tar.gz)\n       </td>\n     </tr>

  \n     

  <tr>\n       <td>Linux (x86)</td>\n       <td>\n         [\n co\_linux\_x86\_64.tar.gz\n](https://github.com/cohere-ai/co/releases/latest/download/co_linux_x86_64.tar.gz)\n       </td>\n     </tr>

  \n     

  <tr>\n       <td>Linux (arm64)</td>\n       <td>\n         [\n co\_linux\_arm64.tar.gz\n](https://github.com/cohere-ai/co/releases/latest/download/co_linux_arm64.tar.gz)\n       </td>\n     </tr>

  \n     

  <tr>\n       <td>Linux (arm32)</td>\n       <td>\n         [\n co\_linux\_arm32.tar.gz\n](https://github.com/cohere-ai/co/releases/latest/download/co_linux_arm32.tar.gz)\n       </td>\n     </tr>

  \n   
</table>

# Move the Binary into Your `$PATH`

```
mkdir -p /usr/local/bin
mv ./co /usr/local/bin/
```

# Authenticate

```
co auth login --email=EMAIL
```